## psfreedom 0.6

=== src/ui/Makefile ===
#############################################################################
# Makefile for building: PSFreedom
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Dec 8 04:20:50 2010
# Project:  PSFreedom.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile PSFreedom.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/include/QtCore -I/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/include/QtGui -I/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/include/QtWebKit -I/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/include/QtMaemo5 -I/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lX11 -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		aboutwindow.cpp \
		kernelmessageswindow.cpp \
		procwatch.cpp \
		helpwindow.cpp \
		DraggableViewArea.cpp \
		compatibilitywindow.cpp \
		DisplayPage.cpp moc_mainwindow.cpp \
		moc_aboutwindow.cpp \
		moc_qwebviewselectionsuppressor.cpp \
		moc_kernelmessageswindow.cpp \
		moc_procwatch.cpp \
		moc_helpwindow.cpp \
		moc_DraggableViewArea.cpp \
		moc_compatibilitywindow.cpp \
		moc_DisplayPage.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		aboutwindow.o \
		kernelmessageswindow.o \
		procwatch.o \
		helpwindow.o \
		DraggableViewArea.o \
		compatibilitywindow.o \
		DisplayPage.o \
		moc_mainwindow.o \
		moc_aboutwindow.o \
		moc_qwebviewselectionsuppressor.o \
		moc_kernelmessageswindow.o \
		moc_procwatch.o \
		moc_helpwindow.o \
		moc_DraggableViewArea.o \
		moc_compatibilitywindow.o \
		moc_DisplayPage.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		PSFreedom.pro
QMAKE_TARGET  = PSFreedom
DESTDIR       = 
TARGET        = PSFreedom

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_aboutwindow.h ui_kernelmessageswindow.h ui_helpwindow.h ui_compatibilitywindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: PSFreedom.pro  /targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtWebKit.prl
	$(QMAKE) -o Makefile PSFreedom.pro
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-454e0ea7838cc131cc04e8f3b86025fcf37ea8e2/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtWebKit.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile PSFreedom.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/PSFreedom1.0.0 || $(MKDIR) .tmp/PSFreedom1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents mainwindow.h aboutwindow.h qwebviewselectionsuppressor.h kernelmessageswindow.h procwatch.h helpwindow.h DraggableViewArea.h RXSupport_global.h compatibilitywindow.h DisplayPage.h .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp aboutwindow.cpp kernelmessageswindow.cpp procwatch.cpp helpwindow.cpp DraggableViewArea.cpp compatibilitywindow.cpp DisplayPage.cpp .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents mainwindow.ui aboutwindow.ui kernelmessageswindow.ui helpwindow.ui compatibilitywindow.ui .tmp/PSFreedom1.0.0/ && (cd `dirname .tmp/PSFreedom1.0.0` && $(TAR) PSFreedom1.0.0.tar PSFreedom1.0.0 && $(COMPRESS) PSFreedom1.0.0.tar) && $(MOVE) `dirname .tmp/PSFreedom1.0.0`/PSFreedom1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/PSFreedom1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

=== src/PL3/omap1/Makefile ===
# Specify KDIR on cmd line, example:
# make omap2 ARCH=arm CROSS_COMPILE=<path to arm-eabi-> KDIR=<path to kernel>

EXTRA_CFLAGS = -I/usr/include

obj-m	:= psfreedom.o 

ifndef KDIR
  KDIR := /lib/modules/$(shell uname -r)/build
  ifneq ($(shell if test -d $(KDIR); then echo yes; fi),yes)
    KDIR := /usr/src/linux
  endif
endif

PWD	:= $(shell pwd)


ifndef PSFREEDOM_PLATFORM
all:
	@echo "Please choose your platform by running 'make <platform>'." >&2
	@echo "You can also export the PSFREEDOM_PLATFORM environment variable before running 'make'" >&2
	@false
else
all: ${PSFREEDOM_PLATFORM}
endif

#Build rules

build:
	$(MAKE) -C pl3
	$(MAKE) -C $(KDIR) M=$(PWD) EXTRA_CFLAGS="${EXTRA_CFLAGS}" EXTRAVERSION=${EXTRAVERSION} modules

clean:
	rm -f *.o *~ core .depend .*.cmd *.ko *.mod.c
	rm -rf .tmp_versions

# Aliases for generic devices
n900: build_omap1
n800: build_omap1
n810: build_omap1
n8x0: build_omap1
archos5it: build_omap1
droid: build_omap2
desire: build_msm72k
nexusone: build_msm72k
incredible: build_msm72k
evo4g: build_msm72k
gpone: build_msm72k
hero: build_msm72k
g1: build_msm72k

# Aliases for non generic devices
n900-power: N900-POWER
palmpre: PALMPRE
palmpixi: PALMPIXI
archos5: ARCHOS_GEN6
dingoo: DINGOO
iPhone: IPHONE

# Generic build rule for MSM72K controller
build_msm72k: EXTRA_CFLAGS+=-DENABLE_MSM72K_CONTROLLER -DUI_ALLOC_ADDR=0x`cat $(KDIR)/System.map|grep the_usb_info|cut -b 1-8`
build_msm72k: EXTRAVERSION:=
build_msm72k: build

# Generic build rule for OMAP1 MUSB controller
build_omap1: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
build_omap1: EXTRAVERSION:=-omap1
build_omap1: build

# Generic build rule for OMAP2 MUSB controller
build_omap2: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
build_omap2: EXTRAVERSION:=-omap2
build_omap2: build

# Build rules for non generic targets
# Don't forget to add a dependency on 'build'

N900-POWER: EXTRAVERSION:=$(shell if [ -f $(KDIR)/debian/changelog ]; then \
	 dpkg-parsechangelog -l$(KDIR)/debian/changelog | sed -ne 's/^Version: .*-maemo\(.*\)/.10power\1/p'; \
	fi)
N900-POWER: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
N900-POWER: build

PALMPRE: EXTRA_CFLAGS := -DENABLE_MUSB_CONTROLLER -DCONFIG_USB_GADGET_MUSB_HDRC
PALMPRE: EXTRAVERSION:=-joplin-3430
PALMPRE: build

PALMPIXI: EXTRA_CFLAGS := -DENABLE_MUSB_CONTROLLER -DCONFIG_USB_GADGET_MUSB_HDRC
PALMPIXI: EXTRAVERSION:=-chuck
PALMPIXI: build

ARCHOS_GEN6: EXTRA_CFLAGS += -DENABLE_MUSB_ARCHOS_GEN6_CONTROLLER
ARCHOS_GEN6: build_omap1

DINGOO: EXTRA_CFLAGS += -DENABLE_JZ4740_CONTROLLER
DINGOO: EXTRAVERSION:=
DINGOO: build

IPHONE: EXTRA_CFLAGS += -DENABLE_S3C_CONTROLLER -DNO_DELAYED_PORT_SWITCHING
IPHONE: KDIR := /usr/src/kernel_common/
IPHONE: EXTRAVERSION:=
IPHONE: build

=== src/PL3/omap1/pl3/Makefile ===
B2HTARGET = $(CURDIR)/tools/bin2header
CFLAGS = -Wall -O3

CC = gcc
PPU_CC = ppu-gcc
PPU_OBJCOPY = ppu-objcopy
PPU_CFLAGS =

# This isn't enough, you must also add rules for the filename_fw with the -D define
SUPPORTED_FIRMWARES = 3.41 3.41_kiosk 3.40 3.30 3.21 3.15 3.10 3.01 2.85 2.76

PAYLOADS = shellcode_egghunt.bin \
	shellcode_panic.bin \
	dump_lv2.bin

FW_PAYLOADS = \
	default_payload.bin \
	payload_dev.bin \
	payload_no_unauth_syscall.bin \
	payload_dump_elfs.bin \
	payload_trace_syscalls.bin \
	payload_trace_hypercalls.bin \
	payload_trace_all_sc_calls.bin \
	payload_trace_vuart.bin

FIRMWARES_2=$(SUPPORTED_FIRMWARES:2.%=2_%)
FIRMWARES=$(FIRMWARES_2:3.%=3_%)
FW_PAYLOADS_EXT = $(foreach fw,$(FIRMWARES), \
	$(foreach pl,$(FW_PAYLOADS),$(pl:%.bin=%_$(fw).bin)))
ALL_PAYLOADS = $(PAYLOADS) $(FW_PAYLOADS_EXT)

HEADERS = $(ALL_PAYLOADS:%.bin=%.h)

MAX_PAYLOAD_SIZE=4064

all: tools $(ALL_PAYLOADS) $(HEADERS) check_sizes

tools:
	$(MAKE) -C tools

$(B2HTARGET): tools
	@true

check_sizes: $(ALL_PAYLOADS)
	@error=0; \
	 for f in $+; do \
		size=`ls -l $$f | awk '{print $$5}'`; \
		if [ $$size -gt $(MAX_PAYLOAD_SIZE) ]; then \
			echo "File $$f has a size of $$size."; \
			false; \
			error=1; \
		fi; \
	 done; \
	 if [ $$error -eq 1 ]; then \
		echo ""; \
		echo "The maximum allowed size for a payload is $(MAX_PAYLOAD_SIZE)"; \
		exit 1; \
	 fi; \
	 true


$(ALL_PAYLOADS): *.h.S config.h

%_2_76.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_2_76 -c $< -o $@

%_2_85.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_2_85 -c $< -o $@

%_3_01.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_01 -c $< -o $@

%_3_10.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_10 -c $< -o $@

%_3_15.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_15 -c $< -o $@

%_3_21.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_21 -c $< -o $@

%_3_30.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_30 -c $< -o $@

%_3_40.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_40 -c $< -o $@

%_3_41.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_41 -c $< -o $@

%_3_41_kiosk.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -DFIRMWARE_3_41 -DKIOSK -c $< -o $@

%.o : %.S
	$(PPU_CC) $(PPU_CFLAGS) -c $< -o $@
%.bin : %.o
	$(PPU_OBJCOPY) -O binary $< $@
%.h : %.bin $(B2HTARGET)
	$(B2HTARGET) $< $@ $(*F)

# Target: clean project.
clean:
	$(MAKE) -C tools/ clean
	rm -f *~ *.bin $(ALL_PAYLOADS) $(HEADERS)

.PHONY: all clean tools check_sizes

=== src/PL3/omap1/pl3/tools/Makefile ===
CFLAGS=-g

BINS= \
	dump_lv2_pcap_to_bin \
	dump_elfs_pcap_to_dir \
	dump_syscall \
	bin2header

all: $(BINS)

clean:
	rm -f $(BINS) *~

=== debian/changelog ===
psfreedom (0.6) unstable; urgency=low

  * Add support for jig mode (PS3 service mode)
  * Add latest PL3 modules.
  * Use Maemo 5 specific buttons instead of normal QPushButtons.
  * Use Qt APIs instead of system()s.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed,  8 Dec 2010 02:56:33 +0200

=== debian/control ===
Source: psfreedom
Section: user/system
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), kernel-source, kernel-power-source, libncurses5-dev, libqt4-dev, libx11-dev
Standards-Version: 3.7.2

Package: psfreedom
Architecture: armel
Depends: ${shlibs:Depends}, alphathemefix, mceledpattern
Description: PSFreedom is a UI to jailbreak your PS3.
 PSFreedom contains the modules to jailbreak your PS3 plus an easy to use GUI.
 GUI supports both PL3 and Hermes 4b1 payloads, compiled for both the stock and power kernel (46).
 PL3 has support for the following firmwares: 3.41 3.40 3.30 3.21 3.15 3.10 3.01 2.76
 Service mode for downgrading from 3.50 is supported, thanks to KaKaRoTo's reverse engineering.
 .
 Thanks to:
 KaKaRoTo for his hard work on the PSFreedom hack and PL3.
 Hermes for his the Hermes payloads.
 .
 Bash for his work on design and graphics used in the application.
 And in no particular order: Venemo, frals, Khertan, noobmonk3y, and lcuk for helping with Python.
 Thanks to Venemo, alterego and w00t for help with the new C++/Qt version of the app.
 Thanks to alterego/twinsdell for the kinetic scrolling of images code.
XB-Maemo-Display-Name: PSFreedom
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=PSFreedom
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAIAAAACACAYAAADDPmHLAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAAFUJJREFUeNrtnVtwFceZx+3splKpbPZhK6naqt2qfdiHfdldb+LE
 NjFgg40xxBgM2EEISQgZgWSQACNuEkIICxBXgZHBseM4dshmE7b24pd92BBs
 CAbMzQEJjBDogkAg7giEuLjz/466nT6tnjndM3OO5oh5+NU5p89Mz0x//75/
 3fMQY+yhiAeXKBEiAUSJEAkgIhJARCSAiEgAEZEAIiIBREQCiOMjxh7ewti3
 wXfAYz9n7N1fMrYbfAb2RgTPVgU5XPl//4eM7XiXsTlkn7cZ+5taxr4ZmAAQ
 4V8g4u/hInt+y9idbQhMR/7zAeE3jF1FBl0Hu32XMq4vAWxm7J+gtgOI9C6M
 /yVgbmyTPrcpv3XHuoXrzt3mcj2ne3G63rZ+DJ7vPuj+GWOV4BueBAAFjf81
 Y50w/r3f9CgrxtY7d9l712+x2vbLrPZcPJs4tf2KKxouS5+XlTC3453+c7pW
 4jBK77c7rrFfdt3plQlgr+73GfvoLcb+wUoAMH7uvzN2TTY88QEusr6lg1U3
 nrViFcftf5PzI5ypae1gH8I+qs1QAnSvwdcljP29kQBQ349Hsd/yH/hBoBRg
 v0DE63CBlSfPph3V0me1Q5garvvP6bxqi3twjKPR4bvutxM4ruz4GVZwpIlN
 Pt7KZt68zQpgu/weOsHrCQVADT4o5le/5obfev9Ltr7tIluBCzxopIO4S2Ho
 vM9Psx/vO8F+uKuO/fPHR77iiYMnWeaNLiEAoh1kuAoAub8Auf8Sin9GbED9
 UoULLY+wxovoEp23KGbwUzGDP6YYXMcAiCD7Vrcsgi3gW44CQF9yqzD+B3fv
 saqGtgcLJHKYoBw+xcLgOp5ECSEJ4CCYrRXAm2gkoPj/v61U9IOa9its2Yk2
 R95o6I1TuPjP7VynOOTf4nuisDCw4vR5tvrMRS0r8Z8QnThefJ9V18x+gpw7
 cHe9J4OrPALhSAK4AbZrBVDL2CgIYA+qAEasbbvEKpGoqWaZ9KmjUvO/2/Gm
 VHr8bxUMWnPpOtvU2cXeQnH7s56WN3uXf+qQ/9t0s5stvnKD5bRcYAMPNQZi
 dBVJAPdBvVYAm/E/bugwGf9DsKr1IqvAA+pYKn0ubz7P1ly4ytZevM7WgbUc
 9XsvLhmGSdB1VlJvBCzl1081y1A0033UwtjvIJ3e4QZ9xwHdf+iXs0owE2SC
 CRJju7rZMIjqBwcaAhNAxrWbsgianEqAgvcY+/wDqv8BJXLFF2fYEo78naiC
 4d+Een+KY/uK2tvonl7pZCtRWlXwe0wWb5xqZzVISJP70glhMzf6dMXgbozC
 sz2ONoBfATy2v0EWwGknAUyDWg//gvr9YAUEUI4H17EcCb75/n2GbmNo2IL7
 WYNSoqLhbEyg5YpgVcodvqthFB+JTL3eTx0+1WOWg2JNTp9gKYTv7/3CswAe
 xbkJBbAJAnhHEsByCGDx8TO9WNp4jr2FxN5CiW7IZotj/UL3tvL8VbYYxuvF
 cYcwKVyInL6/gTSovXPP+h7Wgvkg24fRVV5Gr+xHR5uTJ4A3uQDexw+iCo2S
 MnRDVNagGNzMjRpmam7eZuVoVdPomBeWn7tsdb2NoAxMDdDoOgbh3pIlgHwU
 W4d+jh9oC7BlEMBCGHyRBP1+izdi0oENaCOUoeEmP0OpAVVnLxtfYxUoYj1D
 bBNShK0IjASwkQvgPd49qYQAFhxrjWMJwmqp8aWwyeH3Js1/qWY9RLAIIliI
 +zehwuEZVSp5gk7oI2wah8YCQP11SPRPlzZfYPORIDLlCNskGTZdWIvqQBWz
 DhLKRrQhnOIRxXxuHxpebhM88of64ASwAdUX6rJD7/K+awWMPe9YSxyLEYaq
 Ii1Z1n4Fz9CqoeWr7yuvdmrPXQdKwKQQGF5m5MVrwQoAddpB0W8tRz9/bn1L
 HKUI20B1qwsbNb/DQA1y9ny07EvwHDoWnjzb65xq3oWb6ME4Y250xbpvMhTW
 F1WBkQBqIADUbQdFH3Zx03n2OhJGprRJL4AaDRuUTzm8r6jsuNZL1ILlyP3i
 OC8NOzLuUxCRSX+dRvmoIUc52K8ASFiBCGA9Y6+SAERftgzGnlPXHGM2ZyHC
 1lPDKgnUOITVaI7RfdY4nCsfs/rOXTxPy1fPFfte38M6lBCrPeR4P/1zggTj
 VwiJRGcsANR3B0S/lnI7zUzJLEDYOl4n2rBAE1cihOjo+7zGc6ys7RKrun4r
 Fp8w8jrF6OukMKf/FrV0xF2DPuejbfO6h9E6Mn5QY/ZUIngVAM0d+BbAWsby
 UO8dEP3bhafbWRGULTOvqT02ymULnVeM831R10NJ41m2suuOp/sgKi5d/yqu
 Yj71OgIC8JLwQU7Y+BEBTSAFJgDRz10AAcxEwsuUIGwN/rOlRCMmv1R13vZ0
 LysgHjqfHC1+xLtRVI/aJvrw9stJmbql3Bx0NWAsADSA9os+7zwYbcbRpjhe
 R9gq3khKxGqJuTEx9cQxk6PG7RQ+w+HYYuq23bsfdx0TqGX/vJJYlINsE9xP
 ve/qwAFRUtUS5P0YCQC5Iw8Npf2i70sCeO1IU4xC/jkHYdU8Eau5oas1rFI+
 STiFPB4RVxAsvnjdWJCr+CBOtqbr5CXHmQ7CeIF6E7b3MxTtLF8CQO6YgsbS
 ftEHnnuqPeZiLDMbYSvJV8CS2Zq43CjUfNeFFTe0xV2nWrmuEGQVKHDJLV4E
 kCzjC6iKCapKMhIAcsgUtJI/E33hOafOsWl/PB1jOmcWwlZQPWoJnTcdBovF
 Q58q0jW0YfJ/ShxVqAbcxFcKshLklrCVAHKj0LR6chsPMBIAckouCUD0nWfD
 aPlIbJkihC3nTg42FEtiCpryzi7H6xYZFpepmpb1CvU2qNqiqoHuXYfb/RgL
 AO2Az0S/eRb63lORwDIzEVbFi1QbZmrikpFFNlX5Lh8zVXPMYghAvd6SBBM2
 QQjAZjKmrzESAIrLyRDAPjFgUgSj0aoTmRkIewP/2ULnvYrzbclTPnWU3eiK
 u9Z8g5E8VQBeegFi+NePq1aoBIC6ejIagvvEgAnlWuoryxQibBnNrFlSGBPT
 KS1THMJNKYURxHWKPLaYvYwDyCUBFc39QgBoCO4TAyYzGs+y3MOn4ihAWCV3
 hrChQBNXHJ97p+xWN6uwdM5QBUC//U7KUClC9XAYqwUjAaDRlIN2wF4xYFII
 VefAODLTEEaJTSy1YLomLlsmO7AY8ef47DNTAyvoeXoSQ1iqByMBoPGUg3bA
 XjFoUgCjZR9ujCMfYUt4I8sEIZb8WFynAicXVUuWBwPpRs28tgNMSgbqo9M1
 +6p0MBYAqoG9YvCEcu2kQ41xTEVYOTmLWDJVE5dKVoL/Vcbub2Ajz18JzIki
 iGrAtOEoSohUCcJIAGhBZ6Ma2CMGUPIb2lgmElomD2FU5NryqiYuLwjjj4Hx
 B6AL6NUIQY7BB+HQYepIklQBoBWdjVJgjxi9mwqjZRxsjGMK+dnzMXUb6LyJ
 MFwQjP7sRMz4Xo1FOdApoVJVCiSqLoJuPxgJAK31LJQCe8QoGuXaCQdPxpGL
 sFI+vGpDriYuHRkJGA/DD2+76CuR3ZwnqBRIVlvAqyBIlH6rCiMBoLWehVLg
 UzGalneiLeYsIZNDiyzIq8aS/NYONhnneoHOfe3CVTbjZrcn50zbaVwadu2L
 qsBksserA4qxAFAKfCpG1HKR+C8fOMleAeIzmxZYkLdQipnr0TPX1nMm7CLw
 umLYSAAVXABiVG3yiTNsPBKih5MxshC2gLyFkshC6VMYPyh/fLc5c50IkuHG
 HRSJ/ACtBYB++ySIYLcYvcv54kysqyUYByZBAPP5eHsqKNFM5aZiJY3qnBHW
 0oAEavJMVgIQo3fZigCITITNI2+hFFAS8PJqP+P1lMhUeoSpgWgjAiMBoL+e
 CRHsFqN3k2Bs6m/LZNDKGm6cZDMl4HozqC4V1b/UIAuTGBItETMWQDkEIIZx
 SQDU55aZgLC5vF5OJkGuuk3mvD21E6hk8TObmIoSzkgAZRAARPAHMXw78Xgr
 exFGl/kJwmgBRTIpCNj4QfvumwiCcmSq2w1uQjcSQClsTgIQw7cZMPYoGF3m
 FYTRLoNBMEfDjAA3WgiDswZVF9R2SFUJ4dTLMRLAIggApcAuMXw7AcamHSqJ
 F/jnywibRe5i3IjqdzlM/m+2wTlFPjdS8trdS7UgqPuWrPYDlQK+BFAqCYCK
 +5H7vohjPMKK+QLKYm44p9+zNBS7kBXAw1PjLB1ctER1QWIIuqrQDRIZCWAh
 Sl+IYJcYv3/lWCsbAaPLjD3W6mpEr+Qy/3Pt6WD0INy/vZR+xgIAO8X4/fhj
 LbElVDIvIayIF9c25HRcZZlQu46xrR2Ors4612dSeBCbJ/ZXIei6vEYCWAAB
 gJ1iCHYcjD0cJz4nMQZhM/kWpzaMUeIazhm65zj7l0+O9ktj+hl08rNfgG6+
 w0gA83E+CUCMyY+F0YbtPR7HaITN4K11G0Zr4noWxv/ezsj4QS0Nc3N4MRLA
 PJwLEewU4/Av1bfEjCTzIsJew3+2vKiJy+v+90FjWv3IpKqh6bX76EkAJTgX
 IvhEjMWPgdGegaFkRiGskDyGLRmlxPXk7vC4Tqd6XsEGatymTABz0fMrkQQw
 GkajOlrmBYQV8NE6G16Q4nrq02OhqvfDtDlEUAL1JQAxGfNifTMbAmPJjETY
 dL7luQ0jpbjCVu97EYDTgEvaCwB8IiZkRtU1s6dhMJmRCJsmGXaaoQBG8Lge
 D+GqGa+OoKlYHUyDRUE4vRoJYA5jr5AAxKTMCzDaYBhNZgQXgC103sDdKPpD
 2Nr2Ws+aupeletMo3dSwsQDAx0IAP4bRBsFoMs8jTIrIGDrv30La36d+d1jn
 HLy4pHkeCRQCEDNzI3mulRmOsKl8T3wbnj7SFOo+tx/fv2RVBV72CfI1FzAb
 AgAfi9m7nmK7Po7nEPYqrRmwIA88EfKhWz+bNIpiN0inE6/342s2cBbOBzvE
 zN0I1I3UX5cZdtReAJmWe9v3VTXgd1aOzve7iIMafX58B5y6p0YCKFYE8PzR
 JjYADyPzLMLyeK42IcfDyw3SrTfgNCFD8dFzu40a0n/CaSQIF3Qn7ydjAYAd
 Yop2uEYAzyBsCnfYNCEjjQTQV4tDU+H4aiSAIkUAz8HYTyBRZIYiLJfP3ydi
 ksfXm/QlXhteYcD3VrEzGRsPEewQc/jDYOzHd9XFMQRhkzXGVsNyfLzfpq8J
 Yg//MHkEWwkA7BBz+M+i60YzdjJDjvQIIBET01gAVBWEeUmYl3kJGwH8Xgjg
 GRj7hzC6zFMIy+E53Iksn2+4ikTQR0vDZkAA4PfCicOLALId3LrT0YXLr2dO
 KlYDBfrWMBLAa5IAhh45zX6wsy6OwQjL5obWMSmAd9z15+5hsv3/fQkAxh9H
 AhBePENg7EdhdBk3AWS5LOpIdydOvwM0QXb1vKx0MhZAIQQgvHhIAN/feTSO
 QQjL4sZWmRjQWy7DDD1HXwiBins/aWgkgEJFAE//sbcABhw6ycZevdmLl652
 9npHnkwq1+elclFHMhuKNq+hC1IA24UAnoIAyHvHhH99gF27yUDkUyDWAHrx
 6xd7B4rh46BXMxsJoAACANuFHx8JgObwE/FI5NefcJ9/HalcwuZJAIMdBPDo
 7mNsWPMFNg6qzUyz8X4vLX/K1enyXgBfApjO2FiwXfjxkQAe4TlcRhg+U2n4
 9VcB2G7I1G8EMAgCoLpdZmBdS8zogowHRABBbjETWgFMgwDAduHIqRPAs0gY
 2fjU4BF1WroXk5EAegTwOyGAgTAqefHSIg7BM0iYDG78DMOEkV92pPrPiTdo
 y/Pw9F3spp2o9a3ritFvCndrZJFYxd4+JGLRChfLzBMJQFybwsW9Uzymu4CL
 55Z7DPL56j3K6UP3ShNANiWuPwFIyAIQxtL19SmBdIsbRULSw5kMqNDD6sYQ
 KJFMnDd0Q6YUn1tXje7bTQAmQ8MUv+6+SWAm3UR6bpPnM22gGgkg30IAbqN9
 bsYRCWkzgKJufmTrxy+LwNTrRz1G3LfNvIC6QVXQbyUx2f3cWgDgd+LAJy1e
 qiDmpBOtZBG+ck7hhK7kEPHrDEi/qTgW5+tymKgOdHFTAopznYRJ90dx6HK6
 uLZbiee0BI3OJWGQqJ1mHsXzieN08SSqLpMmALVu1N2cnMC6HTB0Dg061ywy
 vuourdsGTrflOyWgbgGI7tpOhlTf6k3XUItfnTu3KBlNjKYTga6uV48LZKNI
 vwLQ5RDVVUl3jFNjTZdgqnGcvGHU+xRv9DLdV08VkG6I1ynXqcYRudfkrSW6
 6s1k3UCixnhKBKBLYF2PQFdH61ATXLffnlx1yOhysXrvbrlGPV9XsjkJVy29
 xPbuJob1elwoBGDSd/bTEPK74aJ6f25OFbpnMX17uM44kQAeIAGoxXgkAA8P
 aLqZg41rlJ8qwLRx5pQOkQBclmI7bfJIx8rTp/RbbYm79YHlqVj6btMIVLua
 ui6iky++KlKbRmC/F4AugXSuzbrulFhHl6g7pXPpFlvIeu0Gkki9dgOFECMB
 uDyk2OfXqZ6XDeU21uD0Ige3gSDxajangSCxE4hOQPIglNtAUCQABTU32Sx+
 IEPYLOKUSwjbBaDqQJPNun06VwgvEoDHlzFRrtLV05SwiXoElHN17QtTF2+n

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PL3STOCKMODDIR=$(CURDIR)/src/PL3/omap1
PL3POWERMODDIR=$(CURDIR)/src/PL3/power46
HERMESSTOCKMODDIR=$(CURDIR)/src/hermes/omap1
HERMESPOWERMODDIR=$(CURDIR)/src/hermes/power46
UISRC=$(CURDIR)/src/ui

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
            else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif

CFLAGS = -Wall -g
EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd /usr/src && tar -xjvf kernel-power-source.tar.bz2 && cd kernel-power-source && make rx51power_defconfig && time make -j $(NJOBS) EXTRAVERSION=.10power46 bzImage
	cd /usr/src && tar -xjvf kernel-source.tar.bz2 && cd kernel-source && make rx51_defconfig && time make -j $(NJOBS) EXTRAVERSION=-omap1 bzImage
	cd $(CURDIR)/src/ui && qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd $(PL3STOCKMODDIR) && $(MAKE) -C pl3 && $(MAKE) -j $(NJOBS) -C /usr/src/kernel-source M=`pwd` EXTRAVERSION=-omap1 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(PL3POWERMODDIR) && $(MAKE) -C pl3 && $(MAKE) -j $(NJOBS) -C /usr/src/kernel-power-source M=`pwd` EXTRAVERSION=.10power46 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(HERMESSTOCKMODDIR) && $(MAKE) -j $(NJOBS) -C /usr/src/kernel-source M=`pwd` EXTRAVERSION=-omap1 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(HERMESPOWERMODDIR) && $(MAKE) -j $(NJOBS) -C /usr/src/kernel-power-source M=`pwd` EXTRAVERSION=.10power46 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(UISRC) && $(MAKE) -j $(NJOBS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd $(PL3STOCKMODDIR) && $(MAKE) clean
	cd $(PL3POWERMODDIR) && $(MAKE) clean
	cd $(HERMESSTOCKMODDIR) && $(MAKE) clean
	cd $(HERMESPOWERMODDIR) && $(MAKE) clean
	cd $(UISRC) && qmake && $(MAKE) clean
	if [ -f $(UISRC)/PSFreedom ]; then rm -v -f $(UISRC)/PSFreedom; fi
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cp -r $(CURDIR)/data/resources $(CURDIR)/debian/psfreedom/opt/psfreedom/
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs debian/changelog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
